Macros | Enumerations
MSPUBMetaData.cpp File Reference
`#include "MSPUBMetaData.h"`
`#include <cmath>`
`#include <cstdio>`
`#include <cstring>`
`#include <ctime>`
`#include "libmspub_utils.h"`

## Macros
#define | VT_I2 0x0002
#define | VT_LPSTR 0x001E

## Enumerations
enum | PIDDSI { PIDDSI_CODEPAGE = 0x00000001, PIDDSI_CATEGORY = 0x00000002, PIDDSI_PRESFORMAT = 0x00000003, PIDDSI_BYTECOUNT = 0x00000004, PIDDSI_LINECOUNT = 0x00000005, PIDDSI_PARACOUNT = 0x00000006, PIDDSI_SLIDECOUNT = 0x00000007, PIDDSI_NOTECOUNT = 0x00000008, PIDDSI_HIDDENCOUNT = 0x00000009, PIDDSI_MMCLIPCOUNT = 0x0000000A, PIDDSI_SCALE = 0x0000000B, PIDDSI_HEADINGPAIR = 0x0000000C, PIDDSI_DOCPARTS = 0x0000000D, PIDDSI_MANAGER = 0x0000000E, PIDDSI_COMPANY = 0x0000000F, PIDDSI_LINKSDIRTY = 0x00000010, PIDDSI_CCHWITHSPACES = 0x00000011, PIDDSI_SHAREDDOC = 0x00000013, PIDDSI_LINKBASE = 0x00000014, PIDDSI_HLINKS = 0x00000015, PIDDSI_HYPERLINKSCHANGED = 0x00000016, PIDDSI_VERSION = 0x00000017, PIDDSI_DIGSIG = 0x00000018, PIDDSI_CONTENTTYPE = 0x0000001A, PIDDSI_CONTENTSTATUS = 0x0000001B, PIDDSI_LANGUAGE = 0x0000001C, PIDDSI_DOCVERSION = 0x0000001D }
enum | PIDSI { CODEPAGE_PROPERTY_IDENTIFIER = 0x00000001, PIDSI_TITLE = 0x00000002, PIDSI_SUBJECT = 0x00000003, PIDSI_AUTHOR = 0x00000004, PIDSI_KEYWORDS = 0x00000005, PIDSI_COMMENTS = 0x00000006, PIDSI_TEMPLATE = 0x00000007, PIDSI_LASTAUTHOR = 0x00000008, PIDSI_REVNUMBER = 0x00000009, PIDSI_EDITTIME = 0x0000000A, PIDSI_LASTPRINTED = 0x0000000B, PIDSI_CREATE_DTM = 0x0000000C, PIDSI_LASTSAVE_DTM = 0x0000000D, PIDSI_PAGECOUNT = 0x0000000E, PIDSI_WORDCOUNT = 0x0000000F, PIDSI_CHARCOUNT = 0x00000010, PIDSI_THUMBNAIL = 0x00000011, PIDSI_APPNAME = 0x00000012, PIDSI_DOC_SECURITY = 0x00000013 }

## Macro Definition Documentation

## ◆ VT_I2

#define VT_I2 0x0002

Referenced by libmspub::MSPUBMetaData::readTypedPropertyValue().

## ◆ VT_LPSTR

#define VT_LPSTR 0x001E

Referenced by libmspub::MSPUBMetaData::readTypedPropertyValue().

## Enumeration Type Documentation

## ◆ PIDDSI

enum PIDDSI

Enumerator
PIDDSI_CODEPAGE |
PIDDSI_CATEGORY |
PIDDSI_PRESFORMAT |
PIDDSI_BYTECOUNT |
PIDDSI_LINECOUNT |
PIDDSI_PARACOUNT |
PIDDSI_SLIDECOUNT |
PIDDSI_NOTECOUNT |
PIDDSI_HIDDENCOUNT |
PIDDSI_MMCLIPCOUNT |
PIDDSI_SCALE |
PIDDSI_HEADINGPAIR |
PIDDSI_DOCPARTS |
PIDDSI_MANAGER |
PIDDSI_COMPANY |
PIDDSI_LINKSDIRTY |
PIDDSI_CCHWITHSPACES |
PIDDSI_SHAREDDOC |
PIDDSI_LINKBASE |
PIDDSI_HLINKS |
PIDDSI_HYPERLINKSCHANGED |
PIDDSI_VERSION |
PIDDSI_DIGSIG |
PIDDSI_CONTENTTYPE |
PIDDSI_CONTENTSTATUS |
PIDDSI_LANGUAGE |
PIDDSI_DOCVERSION |

## ◆ PIDSI

enum PIDSI

Enumerator
CODEPAGE_PROPERTY_IDENTIFIER |
PIDSI_TITLE |
PIDSI_SUBJECT |
PIDSI_AUTHOR |
PIDSI_KEYWORDS |
PIDSI_COMMENTS |
PIDSI_TEMPLATE |
PIDSI_LASTAUTHOR |
PIDSI_REVNUMBER |
PIDSI_EDITTIME |
PIDSI_LASTPRINTED |
PIDSI_CREATE_DTM |
PIDSI_LASTSAVE_DTM |
PIDSI_PAGECOUNT |
PIDSI_WORDCOUNT |
PIDSI_CHARCOUNT |
PIDSI_THUMBNAIL |
PIDSI_APPNAME |
PIDSI_DOC_SECURITY |